Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::GatewaySensorManager::NumericSensorClass Struct Reference

Sensor class that stores numeric sensor properties. More...

Inheritance diagram for peripheral::GatewaySensorManager::NumericSensorClass:

## Public Attributes
sensors::NumericSensor MetaData | metadata
| numeric sensor type, ranges, etc.
sensors::NumericSensor Thresholds | defaultThresholds
| threshold values may be used initially and as default threshold values, depending on the value of the preferCommonThresholds field
boolean | preferCommonThresholds
| if true, use common default thresholds if available, otherwise use the value of the defaultThresholds field
Public Attributes inherited from peripheral::GatewaySensorManager::SensorClass
string | classId
| sensor class id

## Detailed Description

Sensor class that stores numeric sensor properties.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl